/* dns.h of iplog v1.8 -- eric@ojnk.org */
#ifndef __DNS_H
#define __DNS_H

void sigusr1(int sig);
void init_dns_cache(void);
char *get_dns_cache(u_long addr);
void add_dns_cache(u_long addr);
void expire_dns(void);

typedef struct {
	unsigned long address;
	char *host;
	time_t when;
} dns_entry;

#endif /* __DNS_H */
