/* common.h of iplog v1.8 -- eric@ojnk.org */
#ifndef __COMMON_H
#define __COMMON_H
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <netdb.h>
#include <signal.h>
#include <string.h>
#include <errno.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/syslog.h>
#define __BSD_SOURCE
#define __FAVOR_BSD
#include <netinet/in.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include "iplog.h"
#include "dns.h"
#include "ident.h"
#include "smurf.h"
#include "portscan.h"

#define LEVEL		LOGGING_PRIORITY
#define FIX(x)		network_byte_ordering(x)
#define UNFIX(x)	network_byte_ordering(x)

struct udphdr {
	u_int16_t source;
	u_int16_t dest;
	u_int16_t len;
	u_int16_t sum;
} udphdr;

#define ICMP_SIZE	(sizeof(struct ip) + 8)
#define UDP_SIZE	(sizeof(struct ip) + sizeof(struct udphdr))

#endif
