/* portscan.h of iplog 1.8 -- eric@ojnk.org */
#ifndef __PORTSCAN_H
#define __PORTSCAN_H

#define PORTSCAN_WAIT		30
#define PORTSCAN_MAXSIZE	32
#define PORTSCAN_THRESHOLD	5	/* per second */
#define PORTSCAN_HASH(x)	(((x >> 24) + (x >> 16)) % (PORTSCAN_MAXSIZE + 1))

int portscan(struct in_addr *in);
void init_portscan(void);
void expire_portscan(void);
void sigalrm(int stat);

typedef struct portscan {
	u_long addr;
	time_t last;
	int count;
	int bad;
} portscan_entry;

#endif /* __PORTSCAN_H */
