/* udplog.h of iplog v1.8 -- eric@ojnk.org */
#ifndef __UDPLOG_H
#define __UDPLOG_H

#ifdef __GLIBC__
#include <resolv.h>
#endif

#define PORT_DOMAIN		53
#define PORT_NFS		2049

#ifdef DETECT_TRACEROUTE
static char *hostname_lookup(struct in_addr in);

#endif

struct udp_packet {
	struct ip ip;
	struct udphdr udp;
};

static void readns(void);
static void sighup(int stat);

u_long *ns;
int ns_count = 0;

#endif /* __UDPLOG_H */
